#include <bits/stdc++.h>
using namespace std;
int n,k;
int a[20005];
int x;
int main(){
    cin>>n>>k;
    for (int i=1;i<=n;i++){
        cin>>a[i];
    }
    if(k==a[n])cout<<a[1]<<endl;
    else {
        for(int i=1;i<=n;i++){
           if(a[i]==k)
                x=i;}

        cout<<a[x+1]<<endl;
    }


return 0;
}